//package com.dragoninfo.dcuc.authweb.restcontroller.user;
//
//import com.dragoninfo.dcuc.authweb.restcontroller.user.vo.AccountVo;
//import com.dragoninfo.dcuc.authweb.util.UserUtils;
//import com.dragoninfo.dcuc.user.admin.vo.AccountInfoVO;
//import com.dragoninfo.dcuc.user.user.entity.AccountInfo;
//import com.dragoninfo.dcuc.user.user.entity.UserInfo;
//import com.dragoninfo.dcuc.user.user.facade.IAccountInfoFacade;
//import com.dragoninfo.dcuc.user.user.facade.IUserInfoFacade;
//import com.dragoninfo.duceap.core.enums.ResultEnum;
//import com.dragoninfo.duceap.core.response.Result;
//import com.dragonsoft.duceap.base.entity.http.ResponseDTO;
//import com.dragonsoft.duceap.base.entity.search.SearchDTO;
//import com.dragonsoft.duceap.core.search.Searchable;
//import com.dragonsoft.duceap.core.search.enums.SearchOperator;
//import com.dragonsoft.duceap.web.controller.BaseController;
//import io.swagger.annotations.Api;
//import io.swagger.annotations.ApiImplicitParam;
//import io.swagger.annotations.ApiOperation;
//import org.springframework.beans.factory.annotation.Autowired;
//import org.springframework.data.domain.Page;
//import org.springframework.web.bind.annotation.*;
//
//import java.util.Map;
//
///** 账号信息
// * Created by Administrator on 2018/5/31.
// */
//@Api(tags = {"账号信息管理接口"})
//@RestController
//@RequestMapping(value = "/usersvr/")
//public class AccountController extends BaseController {
//
//
//    @Autowired
//    private IUserInfoFacade iUserInfoFacade;
//
//    @Autowired
//    private IAccountInfoFacade iAccountInfoFacade;
//
//    /**
//     * 根据机构Id获取账号列表
//     * @param searchDTO
//     * @return
//     */
//    @ApiOperation(value = "警员辅警查询列表")
//    @ApiImplicitParam(name = "user_type", value = " 警员界面带上user_type=10 辅警user_type=20 ", required = true)
//    @PostMapping(value = "account/polices")
//    public Result accountListByOrgId(SearchDTO searchDTO){
//        Searchable searchable=Searchable.toSearchable(searchDTO);
//        searchable.addSearchFilter("name", SearchOperator.ne,iUserInfoFacade.getRootUser());
//        Page<AccountInfoVO> accountInfoPage = iAccountInfoFacade.accountListByOrgId(searchable.toSearchDTO());
//        return Result.success(accountInfoPage.getTotalElements(),accountInfoPage.getContent());
//    }
//    @ApiOperation(value = "外部查询列表")
//    @PostMapping(value = "account/projects")
//    public Result accountListByProject(SearchDTO searchDTO){
//        Searchable searchable=Searchable.toSearchable(searchDTO);
//        searchable.addSearchFilter("name",SearchOperator.ne,iUserInfoFacade.getRootUser());
//        Page<AccountInfoVO> accountInfoPage = iAccountInfoFacade.accountListByProject( searchable.toSearchDTO());
//        return Result.success(accountInfoPage.getTotalElements(),accountInfoPage.getContent());
//    }
//
////    /**
////     * 根据机构Id获取没有账号的警号列表
////     * @param orgId
////     * @return
////     */
////    @RequestMapping(value = "policeNumNoAccountByOrgId/{orgId}")
////    @ResponseBody
////    public List<Map<String,Object>> policeNumNoAccountByOrgId(@PathVariable("orgId") String orgId){
////        List<Map<String,Object>> policeNoAccount = iAccountInfoFacade.policeNumNoAccountByOrgId(orgId);
////        return policeNoAccount;
////    }
////
//
////    /**
////     * 根据机构Id获取警号列表
////     * @param orgId
////     * @return
////     */
////    @RequestMapping(value = "policeNumByOrgId/{orgId}")
////    @ResponseBody
////    public List<Map<String,Object>> policeNumByOrgId(@PathVariable("orgId") String orgId){
////        List<Map<String,Object>> policeNumList = iAccountInfoFacade.policeNumByOrgId(orgId);
////        return policeNumList;
////    }
//
////
////    /**
////     * 根据机构Id获取警号列表
////     * @param orgId
////     * @return
////     */
////    @RequestMapping(value = "policeNameByOrgId/{orgId}")
////    @ResponseBody
////    public List<Map<String,Object>> policeNameByOrgId(@PathVariable("orgId") String orgId){
////
////        List<Map<String,Object>> policeNameList = iAccountInfoFacade.policeNameByOrgId(orgId);
////
////        return policeNameList;
////    }
//
//
////    /**
////     * 根据警号获取用户信息
////     * @param policeNumber
////     * @return
////     */
////    @RequestMapping(value = "getUserInfoByPoliceNum/{policeNumber}")
////    @ResponseBody
////    public ResponseResult getUserInfoByPoliceNum(@PathVariable("policeNumber") String policeNumber){
////        UserInfo UserInfo = iUserInfoFacade.userDetail("policeNumber",policeNumber);
////        return ResponseResult.newInstance(UserInfo);
////    }
////
////    @ApiOperation(value = "保存")
////    @ApiImplicitParam(name = "id", value = "id", required = true)
////    @PutMapping(value = "account/{id}")
////    public Result getUserInfoByPoliceNum(@RequestBody AccountVo vo){
////        ResponseStatus responseStatus = iAccountInfoFacade.checkAccountIsExist(vo.getAccount(),null);
////        if(responseStatus.getStatusCode()!="200")
////           return Result.fail(ResultEnum.FAIL.getKey(),"账号已存在");
////        AccountInfo accountInfo=new AccountInfo();
////        UserUtils.copyObject(vo,accountInfo);
////        accountInfo.setPassword(EncryptUtils.getEncryptInstance(Algorithm.MD5).encrypt(accountInfo.getPassword()));
////        accountInfo.setLastUpdatePwTime(new Date());
////         iAccountInfoFacade.addAccount(accountInfo);
////        return Result.success("保存成功");
////    }
//
//
//    /**
//     * 获取账号信息
//     * @param accountId
//     * @return
//     */
//    @ApiOperation(value = "获取账号")
//    @ApiImplicitParam(name = "id", value = "id", required = true)
//    @GetMapping(value = "account/{id}")
//    public Result editAccountInfoPage(@PathVariable("id")String accountId){
//
//        AccountInfoVO accountInfoVO = iAccountInfoFacade.getAccountInfoVo(accountId);
//        UserInfo userInfo = iUserInfoFacade.userDetail(accountInfoVO.getUserId());
//        accountInfoVO.setName(userInfo.getName());
//        AccountVo accountVo=new AccountVo();
//        UserUtils.copyObject(accountVo,accountInfoVO);
//        accountVo.setBeginDate( UserUtils.transformDate(accountInfoVO.getBeginDate()));
//        accountVo.setEndDate( UserUtils.transformDate(accountInfoVO.getEndDate()));
//        accountVo.setPassword("");
////        model.addAttribute("accountVO",accountInfoVO);
////        model.addAttribute("orgId",accountInfoVO.getOrgId());
//        return Result.success(accountVo);
//    }
//
//    /**
//     * 删除账号
//     * @param id
//     * @return
//     */
//    @ApiOperation(value = "删除")
//    @ApiImplicitParam(name = "id", value = "id", required = true)
//    @DeleteMapping(value = "account/{id}")
//    public Result delAccount(@PathVariable("id") String id){
//        try {
//            iAccountInfoFacade.deleteAccount(id);
//        }catch (Exception e){
//            logger.error("删除失败",e);
//            Result.fail(ResultEnum.SERVICE_FAIL.getKey(),"删除失败");
//        }
//
//        return   Result.success();
//    }
//
//
//    /**
//     * 密码初始化
//     * @param map
//     * @return
//     */
//    @ApiOperation(value = "初始化密码")
//    @PostMapping(value = "account/init")
//    @ApiImplicitParam(name = "ids", value = "ids", required = true)
//    public Result initializePassword(@RequestBody Map map){
//        String ids =(String) map.get("ids");
//        ResponseDTO responseDTO = iAccountInfoFacade.initializePassword(ids);
//        return Result.success();
//    }
//
//
//    @ApiOperation(value = "保存")
//    @ApiImplicitParam(name = "id", value = "id", required = true)
//    @PutMapping(value = "account/{id}")
//    @ResponseBody
//    public Result updateAccount(@RequestBody AccountVo vo){
//        AccountInfo accountInfo=new AccountInfo();
//        UserUtils.copyObject(accountInfo,vo);
//         iAccountInfoFacade.updateAccountNoPwd(accountInfo);
//        return Result.success();
//    }
//
//
//
//    /**
//     * 获取账号信息
//     * @param accountId
//     * @return
//     */
////    @RequestMapping(value = "viewAccountInfoPage/{accountId}")
////    public String viewAccountInfoPage(@PathVariable("accountId")String accountId, Model model){
////
////        AccountInfoVO accountInfoVO = iAccountInfoFacade.getAccountInfoVo(accountId);
////        UserInfo userInfo = iUserInfoFacade.userDetail(accountInfoVO.getUserId());
////
////        accountInfoVO.setName(userInfo.getName());
////
////        accountInfoVO.setIsAtive(accountInfoVO.getIsAtive()== YesNotEnum.NO.getValue()?"停用":"启用");
////        model.addAttribute("accountVO",accountInfoVO);
////        model.addAttribute("orgId",accountInfoVO.getOrgId());
////
////        return "accountManage/accountDetail";
////    }
//
//    /**
//     * 新增账号页面
//     * @param orgId
//     * @param model
//     * @return
//     */
////    @RequestMapping(value = "addAccountInfoPage/{orgId}")
////    public String addAccountInfoPage(@PathVariable("orgId")String orgId, Model model){
////
////        model.addAttribute("orgId",orgId);
////
////        return "accountManage/accountAdd";
////    }
//
//
//
//    /**
//     * 检查账号是否已被使用
//     * @param accountNo
//     * @param accountId
//     * @return
//     */
////    @RequestMapping(value = "checkAccountIsExist/{accountNo}/{accountId}")
////    @ResponseBody
////    public ResponseStatus checkAccountIsExist(@PathVariable("accountNo") String accountNo,@PathVariable("accountId") String accountId){
////
////        ResponseStatus responseStatus = iAccountInfoFacade.checkAccountIsExist(accountNo,accountId);
////        return responseStatus;
////    }
//
//
//    /**
//     * 导出excel
//     *
//     * @param searchable
//     * @param request
//     */
////    @RequestMapping(value = "excel")
////    public void listExport(Searchable searchable, HttpServletRequest request, HttpServletResponse response) {
////        String name = request.getParameter("name");
////        searchable.addSearchFilter("name",SearchOperator.ne,iUserInfoFacade.getRootUser());
////        SearchDTO searchDTO = searchable.toSearchDTO();
////        Page<AccountInfoVO> accountInfoPage = iAccountInfoFacade.accountListByOrgId(searchDTO);
////        for(AccountInfo accountInfo:accountInfoPage.getContent()) {
////            if (accountInfo.getIsAtive().equals("0")) {
////                accountInfo.setIsAtive("停用");
////            } else {
////                accountInfo.setIsAtive("启用");
////            }
////        }
////        try {
////            exportExcel(name, accountInfoPage.getContent(), Searchable.toSearchable(searchDTO).getMetaData(), request, response);
////        } catch (IOException e) {
////            e.printStackTrace();
////            throw new ApplicationException(300, "导出失败", e);
////        }
////    }
//}
