//package com.dragoninfo.dcuc.authweb.restcontroller.user;
//
//import com.dragoninfo.dcuc.authweb.restcontroller.user.vo.GovUserVo;
//import com.dragoninfo.dcuc.authweb.util.UserUtils;
//import com.dragoninfo.dcuc.duceap.facade.IDuceapUploadFacade;
//import com.dragoninfo.dcuc.org.government.entity.Government;
//import com.dragoninfo.dcuc.org.gov.facade.IGovInfoFacade;
//import com.dragoninfo.dcuc.org.org.facade.IOrgInfoFacade;
//import com.dragoninfo.dcuc.user.entity.GovUserInfo;
//import com.dragoninfo.dcuc.user.facade.IGovUserInfoFacade;
//import com.dragoninfo.dcuc.user.user.enumresources.YesNotEnum;
//import com.dragoninfo.dcuc.user.user.facade.IAccountGovInfoFacade;
//import com.dragoninfo.duceap.core.enums.ResultEnum;
//import com.dragoninfo.duceap.core.response.Result;
//import com.dragonsoft.duceap.base.entity.http.ResponseStatus;
//import com.dragonsoft.duceap.base.entity.search.SearchDTO;
//import com.dragonsoft.duceap.commons.util.bean.BeanUtils;
//import com.dragonsoft.duceap.core.search.Searchable;
//import com.dragonsoft.duceap.core.search.enums.SearchOperator;
//import com.dragonsoft.duceap.web.controller.BaseController;
//import io.swagger.annotations.Api;
//import io.swagger.annotations.ApiImplicitParam;
//import io.swagger.annotations.ApiOperation;
//import org.slf4j.Logger;
//import org.slf4j.LoggerFactory;
//import org.springframework.beans.factory.annotation.Autowired;
//import org.springframework.data.domain.Page;
//import org.springframework.web.bind.annotation.*;
//
//import javax.annotation.Resource;
//import java.text.SimpleDateFormat;
//import java.util.Date;
//import java.util.List;
//
///**
// * 政府人员信息
// * Created by Administrator on 2019/7/19.
// */
//@Api(tags = {"政府人员信息管理接口"})
//@RestController
//@RequestMapping(value = "/usersvr")
//public class GovernmentPersonController extends BaseController {
//    private Logger logger = LoggerFactory.getLogger(GovernmentPersonController.class);
//
//    @Autowired
//    private IGovUserInfoFacade iGovUserInfoFacade;
//    @Autowired
//    private IOrgInfoFacade orgInfoFacade;
//
//    @Autowired
//    private IGovInfoFacade iGovInfoFacade;
//    @Autowired
//    private IAccountGovInfoFacade iAccountGovInfoFacade;
//    @Resource
//    private IDuceapUploadFacade uploadhandler;
//
//
//    @ApiOperation(value = "查询政府人员列表")
//    @ApiImplicitParam(name = "searchable", value = "查询条件")
//    @PostMapping(value = "/govpersons")
//    public Result govUserPage(Searchable searchable) {
//        searchable.addSearchFilter("deleted", SearchOperator.eq, YesNotEnum.NO.getValue());
//        SearchDTO searchDTO = searchable.toSearchDTO();
//        Page<GovUserInfo> page = iGovUserInfoFacade.govUserInfoPage(searchDTO);
//        return Result.success(page.getTotalElements(), page.getContent());
//    }
//
//
//    @ApiOperation(value = "获取编号")
//    @GetMapping(value = "/govperson/number")
//    public Result getNewPoliceNumber() {
//        String userNumber = iGovUserInfoFacade.userNumber();
//        int pn = Integer.valueOf(userNumber.substring(2)) + 1;
//        return Result.success("ZF" + String.format("%06d", pn));
//    }
//
//
//    @ApiOperation(value = "查询政府人员")
//    @GetMapping(value = "/govperson/{id}")
//    @ApiImplicitParam(name = "id", value = "id", required = true)
//    public Result<GovUserVo> toDetail(@PathVariable("id") String id) throws Exception {
//        GovUserInfo govUserInfo = iGovUserInfoFacade.govUserDetail(id);
//        GovUserVo govUserVo = new GovUserVo();
//        UserUtils.copyObject(govUserVo, govUserInfo);
//        govUserVo.setFile(uploadhandler.queryByBusiId(id, ""));
//        govUserVo.setBirth(UserUtils.transformDate(govUserInfo.getBirth()));
//        return Result.success(govUserVo);
//    }
//
//   /* @RequestMapping("excel")
//    public void listExport(Searchable searchable, HttpServletRequest request, HttpServletResponse response){
//        String name = request.getParameter("name");
//        searchable.addSearchFilter("deleted",SearchOperator.eq,YesNotEnum.NO.getValue());
//        SearchDTO searchDTO = searchable.toSearchDTO();
//        try {
//            searchDTO.setSize(String.valueOf(SysConstants.EXPORT_NUMBER_MAX));
//            List<GovUserInfo> list = iGovUserInfoFacade.govUserInfoPage(searchDTO).getContent();
//            exportExcel(name, list, Searchable.toSearchable(searchDTO).getMetaData(), request, response);
//        } catch (IOException e) {
//            logger.error(e.getMessage(), e);
//            throw new ApplicationException(300, "导出失败", e);
//        }
//    }*/
//
//
//    @ApiOperation(value = "删除政府人员")
//    @DeleteMapping(value = "/govperson/{id}")
//    @ApiImplicitParam(name = "id", value = "id", required = true)
//    public Result delGovUser(@PathVariable("id") String id) {
//        try {
//            iGovUserInfoFacade.deleteGovUser(id);
//            iAccountGovInfoFacade.del(id);
//        } catch (Exception e) {
//            logger.error(e.getMessage(), e);
//            return Result.fail(ResultEnum.SERVICE_FAIL.getValue(), "删除失败");
//        }
//        return Result.success("删除成功");
//    }
//
//    @ApiOperation(value = "保存政府人员")
//    @PostMapping(value = "/govperson")
//    public Result saveGovUser(@RequestBody GovUserVo govUserVo) {
//        //姓名不能为ADMIN
//        try {
//            if ("ADMIN".equals(govUserVo.getName().trim())) {
//                return Result.fail(ResultEnum.SERVICE_FAIL.getValue(), "姓名不能为ADMIN");
//            }
//                govUserVo.setId("");
//            ResponseStatus responseStatus = iGovUserInfoFacade.checkIdcardEnable(govUserVo.getIdcard(), govUserVo.getId());
//            if (!ResponseStatus.SUCCESS_CODE.equals(responseStatus.getStatusCode())) {
//                return Result.fail(ResultEnum.SERVICE_FAIL.getValue(), responseStatus.getMessage());
//            }
//            setGovUserVo(govUserVo);
//            GovUserInfo govUserInfo = new GovUserInfo();
//            govUserInfo.setFileHolders(govUserVo.getFile());
//            BeanUtils.copyProperties(govUserInfo, govUserVo);
//            SimpleDateFormat dateformat=new SimpleDateFormat("yyyyMMdd");
//            Date parse = dateformat.parse(govUserVo.getBirth());
//            govUserInfo.setBirth(parse);
//            iGovUserInfoFacade.saveGovUser(govUserInfo);
//            return Result.success("保存成功");
//        } catch (Exception ex) {
//            logger.error(ex.getMessage(), ex);
//            return Result.fail(ResultEnum.SERVICE_FAIL.getValue(), "保存异常");
//        }
//    }
//
//    public void setGovUserVo(GovUserVo govUserVo) {
//        govUserVo.setBirth(govUserVo.getBirth());
//        govUserVo.setCreateTime(new Date());
//        govUserVo.setDeleted(YesNotEnum.NO.getValue());
//        govUserVo.setUserType("40");
//        govUserVo.setPoliceCategory("99");
//        Government govInfoById = iGovInfoFacade.getGovInfoById(govUserVo.getGovId());
//        govUserVo.setGovName(govInfoById.getFullName());
//        govUserVo.setGovCode(govInfoById.getCode());
//    }
//
//
//    @ApiOperation(value = "修改政府人员")
//    @PutMapping(value = "/govperson/{id}")
//    @ApiImplicitParam(name = "id", value = "id", required = true)
//    public Result update(@RequestBody GovUserVo govUserVo) {
//        //姓名不能为ADMIN
//        try {
//            if ("ADMIN".equals(govUserVo.getName().trim())) {
//                return Result.fail(ResultEnum.SERVICE_FAIL.getValue(), "姓名不能为ADMIN");
//            }
//            ResponseStatus responseStatus = iGovUserInfoFacade.checkIdcardEnable(govUserVo.getIdcard(), govUserVo.getId());
//            if (!ResponseStatus.SUCCESS_CODE.equals(responseStatus.getStatusCode())) {
//                return Result.fail(ResultEnum.SERVICE_FAIL.getValue(), responseStatus.getMessage());
//            }
//            setGovUserVo(govUserVo);
//            GovUserInfo govUserInfo = new GovUserInfo();
//            BeanUtils.copyProperties(govUserInfo, govUserVo);
//            govUserInfo.setFileHolders(govUserVo.getFile());
//            SimpleDateFormat dateformat=new SimpleDateFormat("yyyyMMdd");
//            Date parse = dateformat.parse(govUserVo.getBirth());
//            govUserInfo.setBirth(parse);
//            iGovUserInfoFacade.saveGovUser(govUserInfo);
//            return Result.success("保存成功");
//        } catch (Exception ex) {
//            logger.error(ex.getMessage(), ex);
//            return Result.fail(ResultEnum.SERVICE_FAIL.getValue(), "保存异常");
//        }
//    }
//
//
//  /*  @RequestMapping("impExcel")
//    public String impExcel(Model model, @RequestParam("file") MultipartFile multipartFile) {
//        Doc doc = new Doc();
//        doc.setFileName("file");
//        try {
//            multipartFile.getInputStream();
//            InputStream input = multipartFile.getInputStream();
//            List<GovUserInfo> list = ImpExcelUtils.loadScoreGovInfo(input);
//            String message = this.impGovUser(list);
//            doc.setGroupId("200");
//            doc.setCombined(StringUtils.isEmpty(message) ? "导入成功" : message);
//            ResponseResult responseResult = ResponseResult.newInstance(doc);
//            responseResult.setMessage(StringUtils.isEmpty(message) ? "导入成功" : message);
//            model.addAttribute("result", JsonUtils.toJSONString(responseResult));
//        } catch (IOException e) {
//            doc.setGroupId("300");
//            doc.setCombined("导入文件类型错误");
//            ResponseResult responseResult = ResponseResult.fail(e.getMessage(), doc);
//            model.addAttribute("result", JsonUtils.toJSONString(responseResult));
//            logger.error(e.getMessage(), e);
//        } catch (NumberFormatException e) {
//            doc.setGroupId("300");
//            doc.setCombined(e.getMessage());
//            ResponseResult responseResult = ResponseResult.fail(e.getMessage(), doc);
//            model.addAttribute("result", JsonUtils.toJSONString(responseResult));
//            logger.error(e.getMessage(), e);
//        } catch (Exception e) {
//            doc.setGroupId("300");
//            doc.setCombined("导入失败");
//            ResponseResult responseResult = ResponseResult.fail(e.getMessage(), doc);
//            model.addAttribute("result", JsonUtils.toJSONString(responseResult));
//            logger.error(e.getMessage(), e);
//        } finally {
//            return "commons/uploadResponse";
//        }
//    }*/
//
//    public String impGovUser(List<GovUserInfo> list) {
//        for (GovUserInfo govUserInfo : list) {
//            Government government = iGovInfoFacade.getGovInfoById(govUserInfo.getGovId());
//            if (government == null) {
//                throw new NumberFormatException("身份证" + govUserInfo.getIdcard() + "用户的单位ID不存在！");
//            }
//            govUserInfo.setGovName(government.getFullName());
//        }
//        return iGovUserInfoFacade.impGovUser(list);
//    }
//
//}
