package com.dragoninfo.dcuc.authweb.restcontroller.user.manager.utils;

import com.fasterxml.jackson.core.JsonProcessingException;
import com.fasterxml.jackson.databind.ObjectMapper;

import java.text.SimpleDateFormat;
import java.util.Date;

/**
 * Created by yica on 2018/5/30.
 */
public class ContactUtils {

    public static String getJson(Object obj) {
        ObjectMapper mapper = new ObjectMapper();
        String json = null;
        try {
            json = mapper.writeValueAsString(obj);
        } catch (JsonProcessingException e) {
            e.printStackTrace();
        }
        return json;
    }

    public static String getDate(Date date) {
        return getDate(date,"yyyyMMdd");
    }

    public static String getDate(Date date,String formatStr){
        String nowDate = "";
        if (date != null) {
            SimpleDateFormat formatter = new SimpleDateFormat(formatStr);
            nowDate = formatter.format(date);
        }
        return nowDate;
    }
}
