package com.dragoninfo.dcuc.authweb.restcontroller.user.vo;

import com.dragonsoft.duceap.base.entity.uploader.FileHolder;
import com.fasterxml.jackson.annotation.JsonFormat;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import org.springframework.format.annotation.DateTimeFormat;

import java.util.Date;
import java.util.List;

/**
 * Created by Fuzq on 2020/5/10.
 */
@Data
public class GovUserVo{


    @ApiModelProperty(value = "id")
    private String id;

    //姓名
    @ApiModelProperty(value = "姓名")
    private String name;

    //身份证
    @ApiModelProperty(value = "身份证")
    private String idcard;

    //性别 1：男 2：女
    @ApiModelProperty(value = "性别")
    private String sex;

    //出生日期

    @ApiModelProperty(value = "出生日期")
    private String birth;

    //联系地址
    @ApiModelProperty(value = "联系地址")
    private String address;

    //编号
    @ApiModelProperty(value = "编号")
    private String userNumber;

    //民族
    @ApiModelProperty(value = "民族")
    private String nation;

    @ApiModelProperty(value = "手机号码（工作号）")
    private String mobileWork;
    //政府机构ID
    @ApiModelProperty(value = "政府机构ID")
    private String govId;

    //单位代码
    @ApiModelProperty(value = "单位代码")
    private String govCode;

    //单位名称
    @ApiModelProperty(value = "单位名称")
    private String govName;

    //职务
    @ApiModelProperty(value = "职务")
    private String post;

    //照片
    @ApiModelProperty(value = "照片")
    private String photo;

    //0:使用中  1：删除
    @ApiModelProperty(value = "是否使用")
    private String deleted;

    //添加时间
    @DateTimeFormat(pattern = "yyyyMMdd")
    @JsonFormat(pattern = "yyyyMMdd", timezone = "GMT+8")
    @ApiModelProperty(value = "添加时间")
    private Date createTime;

    //删除时间
    @DateTimeFormat(pattern = "yyyyMMdd")
    @JsonFormat(pattern = "yyyyMMdd", timezone = "GMT+8")
    @ApiModelProperty(value = "删除时间")
    private Date deleteTime;

    //级别
    @ApiModelProperty(value = "级别")
    private String rank;

    //职级
    @ApiModelProperty(value = "职级")
    private String title;

    @ApiModelProperty(value = "项目")
    private String project;


    //人员类型
    @ApiModelProperty(value = "人员类型")
    private String userType;

    //警种
    @ApiModelProperty(value = "警种")
    private String policeCategory;
    @ApiModelProperty(value = "座机")
    private String phone;

    @ApiModelProperty(value = "邮箱")
    private String email;
    @ApiModelProperty(value = "qq号")
    private String qqAccount;
    @ApiModelProperty(value = "wx号")
    private String wxAccount;


    @ApiModelProperty(value = "附件")
    private List<FileHolder> file;


}