package com.dragoninfo.dcuc.authweb.common;

import com.dragoninfo.dcuc.user.admin.facade.*;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Component;

/**
 * Created by Administrator on 2019/3/21.
 */
@Component
public class MtAuthService {

    @Autowired
    private IOrgMtAuthFacade orgMtAuthFacade;
    @Autowired
    private IUserMtAuthFacade userMtAuthFacade;
    @Autowired
    private IAppMtAuthFacade appMtAuthFacade;
    @Autowired
    private ITempMtAuthFacade tempMtAuthFacade;
    @Autowired
    private IMgeMtAuthFacade mgeMtAuthFacade;

    /**
     *
     * 获取用户各类型管理范围
     *
     * @param userId
     * @param type
     * @return
     */
    public String getMtAuth(String userId, String type) {
        if (SysConstants.MT_ORG.equals(type)) {
            return orgMtAuthFacade.mgeOrgRightRangeStr(userId);
        } else if (SysConstants.MT_USER.equals(type)) {
            return userMtAuthFacade.mgeUserRightRangeStr(userId);
        } else if (SysConstants.MT_MGE.equals(type)) {
            return mgeMtAuthFacade.mgeMgeRightRangeStr(userId);
        } else if (SysConstants.MT_APP.equals(type)) {
            return appMtAuthFacade.mgeAppRightRangeStr(userId);
        } else if (SysConstants.MT_TEMP.equals(type)) {
            return tempMtAuthFacade.mgeTempRightRangeStr(userId);
        } else {
            return "";
        }
    }
}
