package com.dragoninfo.dcuc.authweb.config;

import lombok.Data;
import org.springframework.boot.context.properties.ConfigurationProperties;
import org.springframework.stereotype.Component;

/**
 * Created by Administrator on 2019/3/13.
 */
@ConfigurationProperties(prefix = "dcuc.authweb")
@Data
@Component
public class DcucAuthWebConfig {

    /**
     * 应用code
     */
    private String appCode;

    /**
     * 是否启用auth模块管理本系统菜单权限
     */
    private boolean authAccess;
}
