//package com.dragoninfo.dcuc.authweb.restcontroller.api.v2.controller;
//
//import com.alibaba.fastjson.JSON;
//import com.dragoninfo.dcuc.app.dto.AppResourceDTO;
//import com.dragoninfo.dcuc.app.dto.ResourceSyncDTO;
//import com.dragoninfo.dcuc.app.dto.ServiceAuthFlowDTO;
//import com.dragoninfo.dcuc.app.dto.ServiceResourceDTO;
//import com.dragoninfo.dcuc.app.enumresources.ResourceTypeEnum;
//import com.dragoninfo.dcuc.app.facade.IResourceFacade;
//import com.dragoninfo.dcuc.authweb.restcontroller.api.v2.vo.AppResourceVo;
//import com.dragoninfo.dcuc.authweb.restcontroller.api.v2.vo.ServiceAuthFlowVo;
//import com.dragoninfo.dcuc.authweb.restcontroller.api.v2.vo.ServiceResourceVo;
//import com.dragoninfo.dcuc.user.user.entity.UserInfo;
//import com.dragoninfo.dcuc.user.user.enumresources.YesNotEnum;
//import com.dragoninfo.dcuc.user.user.facade.IUserFacade;
//import com.dragoninfo.duceap.core.response.Result;
//import com.dragonsoft.duceap.commons.util.collections.CollectionUtils;
//import com.dragonsoft.duceap.commons.util.string.StringUtils;
//import org.springframework.beans.BeanUtils;
//import org.springframework.beans.factory.annotation.Autowired;
//import org.springframework.http.MediaType;
//import org.springframework.stereotype.Controller;
//import org.springframework.web.bind.annotation.RequestBody;
//import org.springframework.web.bind.annotation.RequestMapping;
//import org.springframework.web.bind.annotation.RequestMethod;
//import org.springframework.web.bind.annotation.ResponseBody;
//
//import java.util.List;
//
///**
// * @author mazq
// * @Description 提供给海联的推送应用、服务数据的接口
// * @create 2020-11-25 14:21
// */
//@Controller
//@RequestMapping(value = "/api/app-service/v2/")
//public class ResourceAccpetController {
//
//    @Autowired
//    private IResourceFacade iResourceFacade;
//
//    @Autowired
//    private IUserFacade iUserFacade;
//    /**
//     * 插入或更新资源同步表、应用信息表
//     *
//     * @param appResourceVo
//     * @return
//     */
//    @RequestMapping(value = "apps/appresource", method = RequestMethod.POST, consumes = MediaType.APPLICATION_JSON_VALUE)
//    @ResponseBody
//    public Result appResource(@RequestBody AppResourceVo appResourceVo) {
//        ResourceTypeEnum appEnum = ResourceTypeEnum.HL_APPLY;
//        ResourceSyncDTO syncDTO = new ResourceSyncDTO(appEnum.getResourceId()
//                , appEnum.getResourceType(), appEnum.getResouProvider());
//        syncDTO.setAppCode(appResourceVo.getAppCode());
//        syncDTO.setAppName(appResourceVo.getAppName());
//        syncDTO.setContent(JSON.toJSONString(appResourceVo));
//        syncDTO.setSync(YesNotEnum.YES.getValue());
//        iResourceFacade.insertResourceSync(syncDTO);
//        //同步更新应用表
//        AppResourceDTO appResourceDTO = new AppResourceDTO();
//        BeanUtils.copyProperties(appResourceVo, appResourceDTO);
//        appResourceDTO.setResourceId(appEnum.getResourceId());
//        appResourceDTO.setResourceType(appEnum.getResourceType());
//        appResourceDTO.setResourceProvider(appEnum.getResouProvider());
//        iResourceFacade.insertAppResource(appResourceDTO);
//        return Result.success();
//    }
//
//    /**
//     * 插入或更新资源同步表、服务信息表
//     *
//     * @param serviceResourceVo
//     * @return
//     */
//    @RequestMapping(value = "apps/serviceresource", method = RequestMethod.POST, consumes = MediaType.APPLICATION_JSON_VALUE)
//    @ResponseBody
//    public Result appResource(@RequestBody ServiceResourceVo serviceResourceVo) {
//        String resourceType = serviceResourceVo.getResourceType();
//        ResourceTypeEnum appEnum = ResourceTypeEnum.getByResourceType(resourceType);
//        ResourceSyncDTO syncDTO = new ResourceSyncDTO(appEnum.getResourceId()
//                , appEnum.getResourceType(), appEnum.getResouProvider());
//        syncDTO.setServiceCode(serviceResourceVo.getServiceCode());
//        syncDTO.setServiceName(serviceResourceVo.getServiceName());
//        syncDTO.setContent(JSON.toJSONString(serviceResourceVo));
//        syncDTO.setSync(YesNotEnum.YES.getValue());
//        iResourceFacade.insertResourceSync(syncDTO);
//        //同步更新服务表
//        ServiceResourceDTO serviceResourceDTO = new ServiceResourceDTO();
//        BeanUtils.copyProperties(serviceResourceVo, serviceResourceDTO);
//        serviceResourceDTO.setResourceId(appEnum.getResourceId());
//        serviceResourceDTO.setResourceType(appEnum.getResourceType());
//        serviceResourceDTO.setResourceProvider(appEnum.getResouProvider());
//        iResourceFacade.insertServiceResource(serviceResourceDTO);
//        return Result.success();
//    }
//
//    /**
//     * 服务授权工作单保存
//     *
//     * @param serviceAuthFlowVo
//     * @return
//     */
//    @RequestMapping(value = "auth/serviceauth", method = RequestMethod.POST, consumes = MediaType.APPLICATION_JSON_VALUE)
//    @ResponseBody
//    public Result serviceAuthFlowSave(@RequestBody ServiceAuthFlowVo serviceAuthFlowVo) {
//        String serviceCodes = getServiceCodeWithSeperate(serviceAuthFlowVo);
//        ServiceAuthFlowDTO dto = new ServiceAuthFlowDTO();
//        BeanUtils.copyProperties(serviceAuthFlowVo, dto, "serviceCodes", "serviceNames");
//        dto.setServiceCodes(serviceCodes);
//        //申请人
//        //审批人
//        String applicantIdcard = serviceAuthFlowVo.getApplicantIdcard();
//        String approvalIdcard = serviceAuthFlowVo.getApprovalIdcard();
//        if (StringUtils.isNotBlank(applicantIdcard)) {
//            UserInfo applicantInfo = iUserFacade.detailBySfzh(applicantIdcard);
//            if (null != applicantInfo) {
//                dto.setApplicantName(applicantInfo.getName());
//                dto.setApplicantOrgName(applicantInfo.getOrgName());
//            }
//        }
//        if (StringUtils.isNotBlank(approvalIdcard)) {
//            UserInfo approvalInfo = iUserFacade.detailBySfzh(approvalIdcard);
//            if (null != approvalInfo) {
//                dto.setApprovalName(approvalInfo.getName());
//                dto.setApplicantOrgName(approvalInfo.getOrgName());
//            }
//        }
//        iResourceFacade.serviceAuthFlowSave(dto);
//        return Result.success();
//    }
//
//    private String getServiceCodeWithSeperate(ServiceAuthFlowVo vo) {
//        StringBuffer buffer = new StringBuffer();
//        List<String> serviceCodes = vo.getServiceCodes();
//        if (CollectionUtils.isEmpty(serviceCodes)) {
//            return null;
//        }
//        for (String serviceCode : serviceCodes) {
//            buffer.append(serviceCode).append(",");
//        }
//        String codes = buffer.toString();
//        if (StringUtils.isNotBlank(codes)) {
//            codes = codes.substring(0, codes.length() - 1);
//        }
//        return codes;
//    }
//
//
//}
