package com.dragoninfo.dcuc.authweb.restcontroller.api.v2.vo;

import com.fasterxml.jackson.annotation.JsonFormat;
import org.springframework.format.annotation.DateTimeFormat;

import java.util.Date;
import java.util.List;

/**
 * @author mazq
 * @Description
 * @create 2020-11-25 14:21
 */
public class ServiceAuthFlowVo {
    private String id;
    private String applicantIdcard;
    private String applicantName;
    private String applicantOrgCode;
    private String applicantOrgName;
    private String approvalIdcard;
    private String approvalName;
    private String approvalOrgCode;
    private String approvalOrgName;
    private String appCode;
    private String appName;
    private String serviceAuthStatus;
    private String orderNo;
    private List<String> serviceCodes;
    private List<String> serviceNames;

    @JsonFormat(timezone = "GMT+8", pattern = "yyyy-MM-dd HH:mm:ss")
    @DateTimeFormat(pattern = "yyyy-MM-dd HH:mm:ss")
    private Date applyTime;

    public String getId() {
        return id;
    }

    public void setId(String id) {
        this.id = id;
    }

    public String getApplicantIdcard() {
        return applicantIdcard;
    }

    public void setApplicantIdcard(String applicantIdcard) {
        this.applicantIdcard = applicantIdcard;
    }

    public String getAppCode() {
        return appCode;
    }

    public void setAppCode(String appCode) {
        this.appCode = appCode;
    }

    public String getServiceAuthStatus() {
        return serviceAuthStatus;
    }

    public void setServiceAuthStatus(String serviceAuthStatus) {
        this.serviceAuthStatus = serviceAuthStatus;
    }

    public String getApplicantOrgCode() {
        return applicantOrgCode;
    }

    public void setApplicantOrgCode(String applicantOrgCode) {
        this.applicantOrgCode = applicantOrgCode;
    }

    public String getApprovalIdcard() {
        return approvalIdcard;
    }

    public void setApprovalIdcard(String approvalIdcard) {
        this.approvalIdcard = approvalIdcard;
    }

    public String getApprovalOrgCode() {
        return approvalOrgCode;
    }

    public void setApprovalOrgCode(String approvalOrgCode) {
        this.approvalOrgCode = approvalOrgCode;
    }

    public String getOrderNo() {
        return orderNo;
    }

    public void setOrderNo(String orderNo) {
        this.orderNo = orderNo;
    }

    public String getApprovalName() {
        return approvalName;
    }

    public void setApprovalName(String approvalName) {
        this.approvalName = approvalName;
    }

    public String getApprovalOrgName() {
        return approvalOrgName;
    }

    public void setApprovalOrgName(String approvalOrgName) {
        this.approvalOrgName = approvalOrgName;
    }

    public Date getApplyTime() {
        return applyTime;
    }

    public void setApplyTime(Date applyTime) {
        this.applyTime = applyTime;
    }

    public List<String> getServiceCodes() {
        return serviceCodes;
    }

    public void setServiceCodes(List<String> serviceCodes) {
        this.serviceCodes = serviceCodes;
    }

    public String getApplicantName() {
        return applicantName;
    }

    public void setApplicantName(String applicantName) {
        this.applicantName = applicantName;
    }

    public String getApplicantOrgName() {
        return applicantOrgName;
    }

    public void setApplicantOrgName(String applicantOrgName) {
        this.applicantOrgName = applicantOrgName;
    }

    public String getAppName() {
        return appName;
    }

    public void setAppName(String appName) {
        this.appName = appName;
    }

    public List<String> getServiceNames() {
        return serviceNames;
    }

    public void setServiceNames(List<String> serviceNames) {
        this.serviceNames = serviceNames;
    }
}
