//package com.dragoninfo.dcuc.authweb.restcontroller.user;
//
//import com.dragoninfo.dcuc.authweb.restcontroller.user.vo.AccountVo;
//import com.dragoninfo.dcuc.authweb.util.UserUtils;
//import com.dragoninfo.dcuc.user.admin.vo.AccountInfoVO;
//import com.dragoninfo.dcuc.user.entity.GovAccount;
//import com.dragoninfo.dcuc.user.entity.GovUserInfo;
//import com.dragoninfo.dcuc.user.facade.IGovUserInfoFacade;
//import com.dragoninfo.dcuc.user.user.entity.AccountInfo;
//import com.dragoninfo.dcuc.user.user.facade.IAccountGovInfoFacade;
//import com.dragoninfo.dcuc.user.user.facade.IAccountInfoFacade;
//import com.dragoninfo.dcuc.user.user.facade.IUserInfoFacade;
//import com.dragoninfo.duceap.commons.util.bussiness.MD5EncryptUtils;
//import com.dragoninfo.duceap.core.enums.ResultEnum;
//import com.dragoninfo.duceap.core.response.Result;
//import com.dragonsoft.duceap.base.entity.http.ResponseDTO;
//import com.dragonsoft.duceap.base.entity.http.ResponseStatus;
//import com.dragonsoft.duceap.base.entity.search.SearchDTO;
//import com.dragonsoft.duceap.core.search.Searchable;
//import com.dragonsoft.duceap.core.search.enums.SearchOperator;
//import com.dragonsoft.duceap.web.controller.BaseController;
//import io.swagger.annotations.Api;
//import io.swagger.annotations.ApiImplicitParam;
//import io.swagger.annotations.ApiOperation;
//import org.springframework.beans.factory.annotation.Autowired;
//import org.springframework.data.domain.Page;
//import org.springframework.web.bind.annotation.*;
//
//import javax.servlet.http.HttpServletResponse;
//import java.util.Date;
//import java.util.Map;
//
///**
// * Created by Administrator on 2018/5/31.
// */
//@Api(tags = {"政务人员账号管理接口"})
//@RestController
//@RequestMapping(value = "/usersvr/gov")
//public class AccountGovController extends BaseController {
//
//
//    @Autowired
//    private IUserInfoFacade iUserInfoFacade;
//
//    @Autowired
//    private IAccountInfoFacade iAccountInfoFacade;
//
//    @Autowired
//    private IAccountGovInfoFacade iAccountGovInfoFacade;
//
//    @Autowired
//    private IGovUserInfoFacade iGovUserInfoFacade;
//
//    @ApiOperation(value = "查询")
//    @PostMapping(value = "accounts")
//    @ResponseBody
//    public Result accountListByGovId(Searchable searchable){
//        searchable.addSearchFilter("name", SearchOperator.ne,iUserInfoFacade.getRootUser());
//        SearchDTO searchDTO = searchable.toSearchDTO();
//        Page<AccountInfoVO> accountInfoPage = iAccountGovInfoFacade.accountListByGovId(searchDTO);
//        return Result.success(accountInfoPage.getTotalElements(),accountInfoPage.getContent());
//    }
//
//    /**
//     * 密码初始化
//     * @param map
//     * @return
//     */
//    @ApiOperation(value = "初始化密码")
//    @PostMapping(value = "account/init")
//    @ResponseBody
//    public Result initializePassword(@RequestBody Map map){
//        String ids =(String) map.get("ids");
//        ResponseDTO responseDTO = iAccountGovInfoFacade.initializePasswords(ids);
//        return Result.success();
//    }
//
//
////    @RequestMapping(value = "projects")
////    @ResponseBody
////    public ResponseResult accountListByProject(Searchable searchable){
////        searchable.addSearchFilter("name",SearchOperator.ne,iUserInfoFacade.getRootUser());
////        if(null!=searchable.getSearchFilterByKey("company_eq")){
////            Page<AccountInfoVO> page = new PageImpl<AccountInfoVO>(new ArrayList(),searchable.getPage(),0);
////            return ResponseResult.newInstance(page);
////        }
////        SearchDTO searchDTO = searchable.toSearchDTO();
////        Page<AccountInfoVO> accountInfoPage = iAccountInfoFacade.accountListByProject(searchDTO);
////        return ResponseResult.newInstance(accountInfoPage);
////    }
////
////    /**
////     * 根据机构Id获取没有账号的警号列表
////     * @param orgId
////     * @return
////     */
////    @RequestMapping(value = "policeNumNoAccountByOrgId/{orgId}")
////    @ResponseBody
////    public List<Map<String,Object>> policeNumNoAccountByOrgId(@PathVariable("orgId") String orgId){
////        List<Map<String,Object>> policeNoAccount = iAccountInfoFacade.policeNumNoAccountByOrgId(orgId);
////        return policeNoAccount;
////    }
//
//
////    /**
////     * 根据机构Id获取警号列表
////     * @param orgId
////     * @return
////     */
////    @RequestMapping(value = "policeNumByOrgId/{orgId}")
////    @ResponseBody
////    public List<Map<String,Object>> policeNumByOrgId(@PathVariable("orgId") String orgId){
////        List<Map<String,Object>> policeNumList = iAccountInfoFacade.policeNumByOrgId(orgId);
////        return policeNumList;
////    }
//
//
////    /**
////     * 根据机构Id获取警号列表
////     * @param orgId
////     * @return
////     */
////    @RequestMapping(value = "policeNameByOrgId/{orgId}")
////    @ResponseBody
////    public List<Map<String,Object>> policeNameByOrgId(@PathVariable("orgId") String orgId){
////
////        List<Map<String,Object>> policeNameList = iAccountInfoFacade.policeNameByOrgId(orgId);
////
////        return policeNameList;
////    }
//
////
////    /**
////     * 根据警号获取用户信息
////     * @param policeNumber
////     * @return
////     */
////    @RequestMapping(value = "getUserInfoByPoliceNum/{policeNumber}")
////    @ResponseBody
////    public ResponseResult getUserInfoByPoliceNum(@PathVariable("policeNumber") String policeNumber){
////        UserInfo UserInfo = iUserInfoFacade.userDetail("policeNumber",policeNumber);
////        return ResponseResult.newInstance(UserInfo);
////    }
//
//
//    @ApiOperation(value = "保存账号")
//    @PostMapping(value = "account")
//    @ResponseBody
//    public Result getUserInfoByPoliceNum(@RequestBody AccountVo accountVo){
//        AccountInfo accountInfo=new AccountInfo();
//        UserUtils.copyObject(accountInfo,accountVo);
//        ResponseStatus responseStatus = iAccountInfoFacade.checkAccountIsExist(accountInfo.getAccount(),null);
//        if(responseStatus.getStatusCode()!="200")
//            Result.fail(ResultEnum.FAIL.getKey(),"账号已存在");
//        accountInfo.setPassword(MD5EncryptUtils.encrypt(accountInfo.getPassword()));
//        accountInfo.setLastUpdatePwTime(new Date());
//        accountInfo = iAccountInfoFacade.addAccount(accountInfo);
//
//        return Result.success("保存成功");
//    }
//
//
//    @ApiOperation(value = "更新账号")
//    @ApiImplicitParam(name = "id", value = "id")
//    @PutMapping(value = "account/{id}")
//    @ResponseBody
//    public Result updateAccount(@RequestBody AccountVo accountVo){
//        GovAccount accountInfo=new GovAccount();
//        UserUtils.copyObject(accountInfo,accountVo);
//        iAccountGovInfoFacade.updateAccountGovInfo(accountInfo);
////        accountInfo = iAccountInfoFacade.updateAccountNoPwd(accountInfo);
//        return Result.success("保存成功");
//    }
//
////
////    /**
////     * 获取账号信息
////     * @param accountId
////     * @return
////     */
////    @RequestMapping(value = "editAccountInfoPage/{accountId}")
////    public String editAccountInfoPage(@PathVariable("accountId")String accountId, Model model) throws Exception {
////
////        AccountInfoVO accountInfoVO = iAccountGovInfoFacade.getAccountInfoVo(accountId);
////        GovUserInfo userInfo = iGovUserInfoFacade.govUserDetail(accountInfoVO.getUserId());
////        accountInfoVO.setName(userInfo.getName());
////        model.addAttribute("accountVO",accountInfoVO);
////        model.addAttribute("orgId",accountInfoVO.getOrgId());
////        return "accountManage/accountGovEdit";
////    }
//
//    /**
//     * 获取账号信息
//     * @param accountId
//     * @return
//     */
//    @ApiOperation(value = "获取账号信息")
//    @ApiImplicitParam(name = "accountId", value = "accountId")
//    @GetMapping(value = "account/{accountId}")
//    public Result<AccountVo> viewAccountInfoPage(@PathVariable("accountId")String accountId,  HttpServletResponse response) throws Exception {
//
//        AccountInfoVO accountInfoVO = iAccountGovInfoFacade.getAccountInfoVo(accountId);
//        GovUserInfo userInfo = iGovUserInfoFacade.govUserDetail(accountInfoVO.getUserId());
//        accountInfoVO.setName(userInfo.getName());
//       // accountInfoVO.setIsAtive(accountInfoVO.getIsAtive()== YesNotEnum.NO.getValue()?"停用":"启用");
//        AccountVo accountVo=new AccountVo();
//        UserUtils.copyObject(accountVo,accountInfoVO);
//        UserUtils.transformDate(accountInfoVO.getBeginDate());
////        model.addAttribute("accountVO",accountInfoVO);
////        model.addAttribute("orgId",accountInfoVO.getOrgId());
//        accountVo.setBeginDate( UserUtils.transformDate(accountInfoVO.getBeginDate()));
//        accountVo.setEndDate( UserUtils.transformDate(accountInfoVO.getEndDate()));
//        accountVo.setPoliceNumber(accountInfoVO.getUserNumber());
//        return Result.success(accountVo);
//    }
////
////    /**
////     * 新增账号页面
////     * @param orgId
////     * @param model
////     * @return
////     */
////    @RequestMapping(value = "addAccountInfoPage/{orgId}")
////    public String addAccountInfoPage(@PathVariable("orgId")String orgId, Model model){
////
////        model.addAttribute("orgId",orgId);
////
////        return "accountManage/accountAdd";
////    }
//
//
//    /**
//     * 删除账号
//     * @param id
//     * @return
//     */
//    @ApiOperation(value = "删除")
//    @ApiImplicitParam(name = "id", value = "id")
//    @DeleteMapping(value = "account/{id}")
//    @ResponseBody
//    public Result delAccount(@PathVariable("id") String id){
//         iAccountGovInfoFacade.deleteGovAccount(id);
//         return Result.success();
//    }
//
//}
