//package com.dragoninfo.dcuc.authweb.restcontroller.user;
//
//import com.dragoninfo.dcuc.app.facade.IManufacturerInfoFacade;
//import com.dragoninfo.dcuc.authweb.config.DcucWebConfig;
//import com.dragoninfo.dcuc.authweb.restcontroller.user.manager.utils.CheckPassword;
//import com.dragoninfo.dcuc.authweb.restcontroller.user.vo.PostInfoVo;
//import com.dragoninfo.dcuc.authweb.restcontroller.user.vo.UserVo;
//import com.dragoninfo.dcuc.authweb.util.UserUtils;
//import com.dragoninfo.dcuc.duceap.facade.IDuceapUploadFacade;
//import com.dragoninfo.dcuc.org.org.entity.OrgInfo;
//import com.dragoninfo.dcuc.org.org.facade.IOrgInfoFacade;
//import com.dragoninfo.dcuc.user.facade.IPersonRegistrationFacade;
//import com.dragoninfo.dcuc.user.feedback.entity.Feedback;
//import com.dragoninfo.dcuc.user.feedback.enumresources.FeedbackTypeEnum;
//import com.dragoninfo.dcuc.user.user.entity.AccountInfo;
//import com.dragoninfo.dcuc.user.user.entity.PostInfo;
//import com.dragoninfo.dcuc.user.user.entity.UserInfo;
//import com.dragoninfo.dcuc.user.user.enumresources.UserTypeEnum;
//import com.dragoninfo.dcuc.user.user.facade.IAccountInfoFacade;
//import com.dragoninfo.dcuc.user.user.facade.IFeedbackFacade;
//import com.dragoninfo.dcuc.user.user.facade.IPostInfoFacade;
//import com.dragoninfo.dcuc.user.user.facade.IUserInfoFacade;
//import com.dragoninfo.duceap.core.enums.ResultEnum;
//import com.dragoninfo.duceap.core.response.Result;
//import com.dragonsoft.duceap.base.entity.http.ResponseStatus;
//import com.dragonsoft.duceap.base.entity.search.SearchDTO;
//import com.dragonsoft.duceap.base.entity.security.SecurityUser;
//import com.dragonsoft.duceap.commons.util.string.StringUtils;
//import com.dragonsoft.duceap.core.context.ContextUtils;
//import com.dragonsoft.duceap.core.search.Searchable;
//import com.dragonsoft.duceap.core.search.enums.SearchOperator;
//import io.swagger.annotations.Api;
//import io.swagger.annotations.ApiOperation;
//import org.slf4j.Logger;
//import org.slf4j.LoggerFactory;
//import org.springframework.beans.factory.annotation.Autowired;
//import org.springframework.web.bind.annotation.*;
//
//import javax.annotation.Resource;
//import java.util.HashMap;
//import java.util.List;
//
///**
// * 个人信息管理
// * Created by yica on 2018/5/24.
// */
//@Api(tags = {"个人信息管理接口"})
//@RestController
//@RequestMapping(value = "/usersvr")
//public class PersonalInfoController {
//    private static Logger logger = LoggerFactory.getLogger(PoliceManagementController.class);
//    @Autowired
//    private IPostInfoFacade postInfoFacade;
//    @Autowired
//    private IUserInfoFacade userInfoFacade;
//    @Autowired
//    private IAccountInfoFacade accountInfoFacade;
//    @Autowired
//    private IOrgInfoFacade orgInfoFacade;
//    @Autowired
//    private IUserInfoFacade iUserInfoFacade;
//    @Autowired
//    private IManufacturerInfoFacade manufacturerInfoFacade;
//    @Autowired
//    private IPersonRegistrationFacade personRegistrationFacade;
//    @Autowired
//    private DcucWebConfig dcucWebConfig;
//    @Autowired
//    private IFeedbackFacade feedbackFacade;
//    @Resource
//    private IDuceapUploadFacade uploadhandler;
//    /**
//     * 个人信息保存
//     * @param userVo
//     * @return
//     */
//    @ApiOperation(value = "修改个人信息")
//    @PutMapping(value = "personal/{id}")
//    public Result saveForm(@RequestBody UserVo userVo) {
//        //todo 附件保存未实现
//        try {
//            String rulePwd = userInfoFacade.getRulePwd();
//            UserInfo user = userInfoFacade.userDetail(userVo.getId());
//
//            if ("true".equals(rulePwd)) {
//                if ("000000".equals(userVo.getPassword())) {
//                    return Result.fail(ResultEnum.SERVICE_FAIL.getValue(), "密码不能修改为初始密码！");
//                }
//            }
//            if (userVo.getPassword().length() > 0) {
//                ResponseStatus responseStatus = CheckPassword.checkPasswordRule(userVo.getPassword());
//                boolean flag = ResponseStatus.SUCCESS_CODE.equals(responseStatus.getStatusCode());
//                if (!flag) {
//                    return Result.fail(ResultEnum.SERVICE_FAIL.getKey(), responseStatus.getMessage());
//                }
//            }
//            if (user.getUserType().equals(UserTypeEnum.POLICE) && (userVo.getPostInfos() == null || userVo.getPostInfos().size() == 0)) {
//                return Result.fail(ResultEnum.SERVICE_FAIL.getValue(), "职务信息不能为空！");
//            }
//            UserUtils.copyObject(user, userVo);
//            //设置更新值
//            List<PostInfo> postInfos = UserUtils.copyObjectList(userVo.getPostInfos());
//            user.setPostInfos(postInfos);
//            user = UserUtils.setUserOrg(orgInfoFacade, postInfos, user);
//            if (StringUtils.isNotEmpty(userVo.getPassword()) || StringUtils.isNotEmpty(userVo.getAccountName())) {
//                AccountInfo accountInfo = accountInfoFacade.getAccountInfo(user.getId());
//                accountInfo.setPassword(userVo.getPassword());
//                accountInfo.setAccountName(userVo.getAccountName());
//                user.setAccountInfo(accountInfo);
//            }
//            if (user.getUserType().equals(UserTypeEnum.HELPER.getValue())) {
//                user.setPoliceNumber(user.getPoliceNumber().toUpperCase());
//            }
//            ResponseStatus responseStatus = userInfoFacade.updatePersonal(user);
//        } catch (Exception e) {
//            logger.error(e.getMessage(), e);
//            return Result.fail(ResultEnum.SERVICE_FAIL.getValue(), "保存异常");
//        }
//        return Result.success();
//    }
///*
//
//    @ResponseBody
//    @RequestMapping(value =  "editInitPwd")
//    public ResponseStatus editInitPwd(HttpServletRequest request, UserInfo userInfo) {
//        ResponseStatus message = null;
//        try {
//            SecurityUser securityUser = (SecurityUser) ContextUtils.getUserInfo();
//            userInfo.setId(securityUser.getId());
//            String password = request.getParameter("newPwd");
//            //密码复杂度校验
//            String rulePwd = iUserInfoFacade.getRulePwd();
//            if ("true".equals(rulePwd)) {
//                message = CheckPassword.checkPasswordRule(password);
//                boolean flag = ResponseStatus.SUCCESS_CODE.equals(message.getStatusCode());
//                if (!flag) {
//                    return message;
//                }
//            }
//            password = EncryptUtils.getEncryptInstance(Algorithm.MD5).encrypt(password);
//            AccountInfo accountInfo = accountInfoFacade.getAccountInfo(userInfo.getId());
//            */
///** 判断密码是否有变化，有变化，则更新密码最后更新时间 add by zhangzf 191018**//*
//
//            if (!password.equals(accountInfo.getPassword())) {
//                accountInfo.setLastUpdatePwTime(new Date());
//            }
//            accountInfo.setPassword(password);
//            accountInfoFacade.updateAccount(accountInfo);
//            message = ResponseStatus.success("保存成功");
//            HttpSession session = request.getSession(false);
//            session.setAttribute("initPwd", false);
//        } catch (Exception e) {
//            message = ResponseStatus.fail("保存失败");
//        }
//        return message;
//    }
//*/
//
//    /**
//     * 去个人管理界面
//     * @return Result
//     */
//    @ApiOperation(value = "查询个人信息")
//    @GetMapping(value = "personal")
//    public Result<UserVo> toPersonalEdit() {
//       /* HashMap<String, Object> resultMap = new HashMap<String, Object>();
//        UserInfo userInfo = this.getUserInfo(resultMap);
//        if (userInfo.getUserType() == null || userInfo.getUserType().equals(UserTypeEnum.POLICE.getValue())) {//警员
//            String status = personRegistrationFacade.statusByIdcard(userInfo.getIdcard());
//            resultMap.put("regStatus", status);
//            String registUrl = "";
//            if (DimensionApproveEnum.WZC.getValue().equals(status) || DimensionApproveEnum.WTG.getValue().equals(status)) {
//                registUrl = dcucWebConfig.getPersonRegistUrl() + AESUtils.encrypt(userInfo.getIdcard());
//                System.out.println("========多维认证地址========：" + registUrl);
//            }
//            resultMap.put("registUrl", registUrl);
//        } else if (userInfo.getUserType().equals(UserTypeEnum.EXTERNAL.getValue())) {//外部
//            ManufacturerInfo manufacturerInfo = manufacturerInfoFacade.manufacturerInfoDetail(userInfo.getCompany());
//            resultMap.put("manufacturerInfo", manufacturerInfo);
//        } else if (userInfo.getUserType().equals(UserTypeEnum.HELPER.getValue())) {//辅警
//           // return "forward:/usermanagement/personalinformation/auxiliaryPolicePersonalEdit.jsp";
//        }*/
//        SecurityUser user = (SecurityUser) ContextUtils.getUserInfo();
//        String id = user.getId();
//        UserInfo userInfo = userInfoFacade.userDetail(id);
//        List<PostInfo> postInfos = postInfoFacade.postInfos(id);
//        AccountInfo accountInfo = accountInfoFacade.getAccountInfo(id);
//        UserVo userVo = new UserVo();
//        UserUtils.copyObject(userVo, accountInfo);
//        UserUtils.copyObject(userVo, userInfo);
//        List<PostInfoVo> list = UserUtils.copyObjectByVo(postInfos);
//        userVo.setPostInfos(list);
//        userVo.setFile(uploadhandler.queryByBusiId(id, ""));
//        userVo.setPassword(null);
//        userVo.setRegStatus(personRegistrationFacade.statusByIdcard(userInfo.getIdcard()));
//        //机构借调，变更信息
//        Searchable searchable = Searchable.newSearchable();
//        searchable.addSearchFilter("objectId", SearchOperator.eq,userVo.getId());
//        searchable.addSearchFilter("type", SearchOperator.eq,FeedbackTypeEnum.YHDWBG.getValue());
//        searchable.addSearchFilter("status", SearchOperator.isNull,"");
//        List<Feedback> feedbackList = feedbackFacade.listSearch(searchable.toSearchDTO());
//        if(feedbackList.size() > 0){
//            userVo.setMoveStatus("单位变更撤销");
//            userVo.setMoveId(feedbackList.get(0).getId());
//        }
//        searchable.addSearchFilter("type", SearchOperator.eq,FeedbackTypeEnum.JDSQ.getValue());
//        feedbackList = feedbackFacade.listSearch(searchable.toSearchDTO());
//        if(feedbackList.size() > 0){
//            userVo.setLoanStatus("单位借调撤销");
//            userVo.setLoanId(feedbackList.get(0).getId());
//        }
//        return Result.success(userVo);
//    }
//
//    /**
//     * 个人管理界面所需要的所有数据(提取共性)
//     * @param resultMap 返回给页面的数据
//     * @return UserInfo
//     */
//    private UserInfo getUserInfo(HashMap<String, Object> resultMap) {
//        //todo yica 暂时注释掉 因为连接的是10.2
//        SecurityUser user = (SecurityUser) ContextUtils.getUserInfo();
//        user.setId(user.getId());
//        UserInfo userInfo = userInfoFacade.userDetail(user.getId());
//        OrgInfo orgInfo = orgInfoFacade.detail(userInfo.getOrgId());
//        AccountInfo accountInfo = accountInfoFacade.getAccountInfo(userInfo.getId());
//        //todo yica 暂时注释掉 因为连接的是10.2
//        List<PostInfo> postInfos = postInfoFacade.postInfos(user.getId());//350524199801149568
//        Searchable searchable = Searchable.newSearchable();
//        searchable.addSearchFilter("objectId", SearchOperator.eq, user.getId());
//        searchable.addSearchFilter("type", SearchOperator.eq, FeedbackTypeEnum.YHDWBG.getValue());
//        searchable.addSearchFilter("status", SearchOperator.isNull, "");
//        SearchDTO searchDTO = searchable.toSearchDTO();
//        List<Feedback> list = feedbackFacade.listSearch(searchDTO);
//        resultMap.put("postInfos", postInfos);
//        resultMap.put("model", userInfo);
//        resultMap.put("orgInfo", orgInfo);
//        resultMap.put("accInfo", accountInfo);
//        if (list.size() > 0) {
//            resultMap.put("callBack", list.get(0).getId());
//            resultMap.put("btnName", "单位变更撤销");
//        } else {
//            resultMap.put("callBack", false);
//            resultMap.put("btnName", "单位变更");
//        }
//        return userInfo;
//    }
//
//    /**
//     * 设置修改后的user
//     * @param upUser    更新的user
//     * @param postInfos 职位列表
//     * @return UserInfo 修改完的user（未保存）
//     */
//    private UserInfo setUser(UserInfo upUser, List<PostInfo> postInfos) {
//        UserInfo info = userInfoFacade.userDetail(upUser.getId());
//        info.setPostInfos(upUser.getPostInfos());
//        info.setPoliceNumber(upUser.getPoliceNumber());
//        info.setMobileWork(upUser.getMobileWork());
//        info.setMobilePrivate(upUser.getMobilePrivate());
//        info.setPhone(upUser.getPhone());
//        info.setQqAccount(upUser.getQqAccount());
//        info.setEmail(upUser.getEmail());
//        info.setWxAccount(upUser.getWxAccount());
//        info.setAddress(upUser.getAddress());
//        info.setNation(upUser.getNation());
//        if (UserTypeEnum.POLICE.getValue().equals(info.getUserType())) {//民警
//            //处理PostInfo数据并设置部门
//            UserUtils.setUserOrg(orgInfoFacade, postInfos, info);
//            info.setTitle(upUser.getTitle());
//            info.setRank(upUser.getRank());
//            info.setPoliceCategory(upUser.getPoliceCategory());
//            info.setPoliceBusiness(upUser.getPoliceBusiness());
//        } else if (UserTypeEnum.HELPER.getValue().equals(info.getUserType())) {
//            info.setPoliceCategory(upUser.getPoliceCategory());
//            info.setPoliceBusiness(upUser.getPoliceBusiness());
//            info.setAuxiliaryType(upUser.getAuxiliaryType());
//            info.setSex(upUser.getSex());
//        } else {
//            OrgInfo orgInfo = orgInfoFacade.detail(upUser.getOrgId());
//            info.setOrgName(orgInfo == null ? "" : orgInfo.getFullName());
//        }
//        return info;
//    }
//}
