package com.dragoninfo.dcuc.authweb.restcontroller.user.vo;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

/**
 * Created by yica on 2020/5/8.
 */

@Data
@ApiModel(value = "账号VO")
public class AccountVo {

    //编号
    @ApiModelProperty(value = "id",required = true)
    private String id;

    //用户ID
    @ApiModelProperty(value = "用户ID",required = true)
    private String userId;

    //用户ID
    @ApiModelProperty(value = "用户名")
    private String name;

    //账号
    @ApiModelProperty(value = "账号（身份证）",required = true)
    private String account;

    //账号名称
    @ApiModelProperty(value = "账号名称",required = true)
    private String accountName;

    //密码
    @ApiModelProperty(value = "密码",required = true)
    private String password;

    //密码问题
    @ApiModelProperty(value = "密码问题")
    private String pwdQ;

    //密码答案
    @ApiModelProperty(value = "密码答案")
    private String pwdA;

    //手机验证登录否
    @ApiModelProperty(value = "手机验证登录否")
    private String isPhoneLogin;

    //启用日期
    @ApiModelProperty(value = "启用日期")
    private String beginDate;

    //失效日期
    @ApiModelProperty(value = "失效日期")
    private String endDate;


    @ApiModelProperty(value = "ip绑定地址")
    private String ipAddress;

    //有效标志(0：无效 1：有效)
    @ApiModelProperty(value = "有效标志(0：无效 1：有效)")
    private String isAtive;

    @ApiModelProperty(value = "机构Id")
    private String orgId;

    @ApiModelProperty(value = "警号")
    private String policeNumber;
}
