package com.dragoninfo.dcuc.authweb.restcontroller.user.vo;

import com.dragonsoft.duceap.base.entity.uploader.FileHolder;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import java.util.List;

/**
 * Created by yica on 2020/4/27.
 */
@Data
@ApiModel(value = "外部人员vo")
public class ExternalVo {

    @ApiModelProperty(value = "用户ID")
    private String id;


    @ApiModelProperty(value = "姓名",required=true)
    private String name;

    @ApiModelProperty(value = "身份证",required=true)
    private String idcard;

    @ApiModelProperty(value = "民族",required=true)
    private String nation;

    @ApiModelProperty(value = "性别",required=true)
    private String sex;

    @ApiModelProperty(value = "出生日期",required=true)
    private String birth;


    @ApiModelProperty(value = "所在机构编码")
    private String orgCode;


    //orgId
    @ApiModelProperty(value = "所在机构ID",required=true)
    private String orgId;

    //orgId
    @ApiModelProperty(value = "所在机构名称",required=true)
    private String orgName;

    @ApiModelProperty(value = "联系地址")
    private String address;

    @ApiModelProperty(value = "所属公司")
    private String company;



    //所属公司代码
    @ApiModelProperty(value = "所属公司代码")
    private String companyCode;

    //所属公司负责人
    @ApiModelProperty(value = "所属公司负责人")
    private String companyPerson;


    @ApiModelProperty(value = "所属公司负责人电话")
    private String personMobile;

    @ApiModelProperty(value = "施工项目",required=true)
    private String project;

    @ApiModelProperty(value = "施工项目名称",required=true)
    private String projectName;

    //所属公司
    @ApiModelProperty(value = "手机号码（私人号）",required = true)
    private String mobilePrivate;
    @ApiModelProperty(value = "电话")
    private String phone;
    @ApiModelProperty(value = "邮箱")
    private String email;

    @ApiModelProperty(value = "人员状态")
    private String userStatus="1";

    @ApiModelProperty(value = "负责项目")
    private String dutyProject;

    @ApiModelProperty(value = "创建时间")
    private String createTime;
    @ApiModelProperty(value = "警号")
    private String policeNumber;
    //所属公司
    @ApiModelProperty(value = "qq号")
    private String qqAccount;
    @ApiModelProperty(value = "wx号")
    private String wxAccount;



    @ApiModelProperty(value = "附件")
    private List<FileHolder> fileHolders;
}
